libetonyek::IWORKListstyleElement Class Reference documentation

Public Member Functions | Private Member Functions | Private Attributes | List of all members
libetonyek::IWORKListstyleElement Class Reference

`#include <IWORKListstyleElement.h>`

Inheritance diagram for libetonyek::IWORKListstyleElement:

## Public Member Functions
| IWORKListstyleElement (IWORKXMLParserState &state, IWORKListStyle_t &style)
| IWORKListstyleElement (IWORKXMLParserState &state)
Public Member Functions inherited from libetonyek::IWORKXMLContextBase< Base, State, Collector >
| IWORKXMLContextBase (State &state)
template<typename T >
| IWORKXMLContextBase (State &state, const T &a)
State & | getState ()
Public Member Functions inherited from libetonyek::IWORKPropertyHandler
virtual | ~IWORKPropertyHandler ()=0

## Private Member Functions
IWORKXMLContextPtr_t | element (int name) override
void | endOfElement () override
IWORKXMLContextPtr_t | handle (int name) override

## Private Attributes
IWORKListStyle_t | m_localStyle
IWORKListStyle_t & | m_style
std::deque< IWORKListLabelGeometry > | m_labelGeometries
std::deque< IWORKListLabelTypeInfo_t > | m_typeInfos
std::deque< double > | m_labelIndents
std::deque< double > | m_textIndents

## Additional Inherited Members
Protected Member Functions inherited from libetonyek::IWORKXMLContextBase< Base, State, Collector >
Collector & | getCollector () const
int | getToken (const char *const value) const
bool | isCollector () const
Protected Attributes inherited from libetonyek::IWORKXMLContextBase< Base, State, Collector >
State & | m_state

## Constructor & Destructor Documentation

## ◆ IWORKListstyleElement() [1/2]

libetonyek::IWORKListstyleElement::IWORKListstyleElement | ( | IWORKXMLParserState & | state,
|  | IWORKListStyle_t & | style
| ) |  |

## ◆ IWORKListstyleElement() [2/2]

libetonyek::IWORKListstyleElement::IWORKListstyleElement | ( | IWORKXMLParserState & | state | ) |
| explicit

## Member Function Documentation

## ◆ element()

IWORKXMLContextPtr_t libetonyek::IWORKListstyleElement::element | ( | int | name | ) |
| overrideprivate

## ◆ endOfElement()

void libetonyek::IWORKListstyleElement::endOfElement | ( |  | ) |
| overrideprivate

## ◆ handle()

IWORKXMLContextPtr_t libetonyek::IWORKListstyleElement::handle | ( | int | name | ) |
| overrideprivatevirtual

Implements libetonyek::IWORKPropertyHandler.

## Member Data Documentation

## ◆ m_labelGeometries

std::deque<IWORKListLabelGeometry> libetonyek::IWORKListstyleElement::m_labelGeometries
| private

Referenced by endOfElement(), and handle().

## ◆ m_labelIndents

std::deque<double> libetonyek::IWORKListstyleElement::m_labelIndents
| private

Referenced by endOfElement(), and handle().

## ◆ m_localStyle

IWORKListStyle_t libetonyek::IWORKListstyleElement::m_localStyle
| private

## ◆ m_style

IWORKListStyle_t& libetonyek::IWORKListstyleElement::m_style
| private

Referenced by endOfElement().

## ◆ m_textIndents

std::deque<double> libetonyek::IWORKListstyleElement::m_textIndents
| private

Referenced by endOfElement(), and handle().

## ◆ m_typeInfos

std::deque<IWORKListLabelTypeInfo_t> libetonyek::IWORKListstyleElement::m_typeInfos
| private

Referenced by endOfElement(), and handle().

The documentation for this class was generated from the following files:

- IWORKListstyleElement.h
- IWORKListstyleElement.cpp